<?php
$numberOfWords = 0;
if ($allSlider[0]) {
  echo "<div class='wpm-6310-carousel'>
  <div id='wpm-6310-slider-{$ids}' class='wpm-6310-owl-carousel'>";

  if ($members) {
    foreach ($members as $value) {
      $attr2 = [];
      if ($value['profile_details_type'] == 1) {
        $cls = " wpm_6310_team_member_info";
        $attr = " link-id='{$value['id']}' link-url='" . wpm_6310_validate_profile_url($value['profile_url']) . "' target='{$value['open_new_tab']}' team-id='0'";
        $attr2 = [
          " link-id='{$value['id']}' team-id='0'",
          wpm_6310_validate_profile_url($value['profile_url']),
          $value['open_new_tab']
        ];
      } else if ($value['profile_details_type'] == 2) {
        $cls = " wpm_6310_team_member_info";
        $attr = " link-id='0' team-id='{$value['id']}'";
        $attr2[] = $attr;
      } else {
        $cls = '';
        $attr = " link-id='0' team-id='0'";
        $attr2[] = $attr;
      }
      $readMoreActive = isset($allSlider[311]) && $allSlider[311] > 0 ? 1 : 0;
?>
      <div class="wpm-6310-item<?php echo $ids; ?>">
        <div class="<?php echo  "wpm_6310_team_style_{$ids}" . (!$readMoreActive ? $cls : '') ?>" <?php echo !$readMoreActive ? $attr : '' ?>>     
          <div class="wpm_6310_team_style_<?php echo $ids ?>_wrapper">
            <div class="wpm_6310_team_style_<?php echo $ids ?>_img">
            <?php 
            echo wpm_6310_extract_image($value['image'], $value['hover_image'], $value['name'], $ids);
          ?>
            </div>
          </div>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
          <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
          <?php
          wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
          wpm_6310_template_skills($value['skills'], $ids, $allSlider, $value['id'], ' wpm-6310-p-l-r-10');
          echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids, $suffix);
          wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
          wpm_6310_read_more($readMoreActive, $ids, $allSlider, $cls, $attr2, $value['profile_details_type']);
          ?>
        </div>
      </div>
      <?php
    }
  }
  echo "</div>
  </div>";
} else {
  if ($members) {
    wpm_6310_search_template($ids, $allSlider, $desktop_row);
    wpm_6310_category_menu($categoryData, $ids, $styledata['categoryids'], 1);
    if (!isset($allSlider[101]) || $allSlider[101] == 0) {
      echo "<div class='wpm-6310-row wpm-6310-default-members'>";
      foreach ($members as $value) {
        $attr2 = [];
        if ($value['profile_details_type'] == 1) {
          $cls = " wpm_6310_team_member_info";
          $attr = " link-id='{$value['id']}' link-url='" . wpm_6310_validate_profile_url($value['profile_url']) . "' target='{$value['open_new_tab']}' team-id='0'";
          $attr2 = [
            " link-id='{$value['id']}' team-id='0'",
            wpm_6310_validate_profile_url($value['profile_url']),
            $value['open_new_tab']
          ];
        } else if ($value['profile_details_type'] == 2) {
          $cls = " wpm_6310_team_member_info";
          $attr = " link-id='0' team-id='{$value['id']}'";
          $attr2[] = $attr;
        } else {
          $cls = '';
          $attr = " link-id='0' team-id='0'";
          $attr2[] = $attr;
        }
        $readMoreActive = isset($allSlider[311]) && $allSlider[311] > 0 ? 1 : 0;
      ?>
        <div class="wpm-6310-col-<?php echo $desktop_row; ?>">
          <div class="wpm_6310_team_style_<?php echo $ids ?><?php echo !$readMoreActive ? $cls : '' ?>" <?php echo !$readMoreActive ? $attr : '' ?>>
            <div class="wpm_6310_team_style_<?php echo $ids ?>_wrapper">
              <div class="wpm_6310_team_style_<?php echo $ids ?>_img">
              <?php 
            echo wpm_6310_extract_image($value['image'], $value['hover_image'], $value['name'], $ids);
          ?>
              </div>
            </div>
            <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
            <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
            <?php
            wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
            wpm_6310_template_skills($value['skills'], $ids, $allSlider, $value['id'], ' wpm-6310-p-l-r-10');
            echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids, $suffix);
            wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
            wpm_6310_read_more($readMoreActive, $ids, $allSlider, $cls, $attr2, $value['profile_details_type']);
            ?>
          </div>
        </div>
        <?php
      }
      echo "</div>";
    }
  }
  if ($filterList && isset($allSlider[101]) && $allSlider[101] == 1) {
    $catIdList = explode(",", $styledata['categoryids']);
    foreach ($filterList as $filterKey => $filterValue) {
      $returnMember = wpm_6310_extract_members($filterValue);
      $catMembers = $returnMember['members'];
      if (wpm_6310_order_type($styledata['memberid'])) {
        shuffle($catMembers);
      }
      if ($catMembers) {
        $displayCSS = wpm_6310_first_category($catIdList[0], $filterKey);
        echo "<div class='wpm-6310-row {$filterKey}' {$displayCSS}>";
        foreach ($catMembers as $value) {
          $attr2 = [];
          if ($value['profile_details_type'] == 1) {
            $cls = " wpm_6310_team_member_info";
            $attr = " link-id='{$value['id']}' link-url='" . wpm_6310_validate_profile_url($value['profile_url']) . "' target='{$value['open_new_tab']}' team-id='0'";
            $attr2 = [
              " link-id='{$value['id']}' team-id='0'",
              wpm_6310_validate_profile_url($value['profile_url']),
              $value['open_new_tab']
            ];
          } else if ($value['profile_details_type'] == 2) {
            $cls = " wpm_6310_team_member_info";
            $attr = " link-id='0' team-id='{$value['id']}'";
            $attr2[] = $attr;
          } else {
            $cls = '';
            $attr = " link-id='0' team-id='0'";
            $attr2[] = $attr;
          }
          $readMoreActive = isset($allSlider[311]) && $allSlider[311] > 0 ? 1 : 0;
        ?>
          <div class="wpm-6310-col-<?php echo $desktop_row; ?>">
            <div class="wpm_6310_team_style_<?php echo $ids ?><?php echo !$readMoreActive ? $cls : '' ?>" <?php echo !$readMoreActive ? $attr : '' ?>>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_wrapper">
                <div class="wpm_6310_team_style_<?php echo $ids ?>_img">
                <?php 
                echo wpm_6310_extract_image($value['image'], $value['hover_image'], $value['name'], $ids);
              ?>
                </div>
              </div>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_title"><?php echo wpm_6310_replace(esc_attr($value['name'])) ?></div>
              <div class="wpm_6310_team_style_<?php echo $ids ?>_designation"><?php echo wpm_6310_replace(esc_attr($value['designation'])) ?></div>
              <?php
              wpm_6310_extract_contact_info(isset($value['contact_info']) ? $value['contact_info'] : '', $ids);
              wpm_6310_template_skills($value['skills'], $ids, $allSlider, $value['id'], ' wpm-6310-p-l-r-10');
              echo wpm_6310_extract_member_description($value['profile_details'], ((isset($allSlider[72]) && $allSlider[72] !== '') ? $allSlider[72] : $numberOfWords), $ids, $suffix);
              wpm_6310_social_icon($value['iconids'], $value['iconurl'], $allStyle[28], $value['id'], $ids, '', '', isset($allSlider['63']) ? $allSlider['63'] : 4);
              wpm_6310_read_more($readMoreActive, $ids, $allSlider, $cls, $attr2, $value['profile_details_type']);
              ?>
            </div>
          </div>
<?php
        }
        echo "</div>";
      }
    }
  }
}
?>
<?php
$hover_bg1 = $allStyle[7];
$hover_bg2 = isset($allStyle[42]) ? $allStyle[42] : $hover_bg1;
$hover_bg3 = isset($allStyle[39]) ? $allStyle[39] : $hover_bg1;

$background_bg1 = $allStyle[32];
$background_bg2 = isset($allStyle[40]) ? $allStyle[40] : $background_bg1;
$background_bg3 = isset($allStyle[41]) ? $allStyle[41] : $background_bg1;
?>

<style type="text/css">
  .wpm_6310_tabs_panel_preview .wpm-6310-row {
    justify-content: <?php echo (isset($allSlider[126]) && $allSlider[126] !== '') ? $allSlider[126] : 'center' ?> !important;
  }

  .wpm-6310-col-3 {
    overflow: hidden;
    width: 100%;
  }

  .wpm_6310_team_style_<?php echo $ids ?> {
    position: relative;
    float: left;
    width: 100%;
    background: <?php echo $allStyle[32] ?>;
    padding: 10px;
    transition: .10s;
    cursor: pointer;
    margin-top: calc(<?php echo $allStyle[2] ?>px / 2);
    height: calc(100% - (<?php echo $allStyle[2] ?>px / 2)) !important;
    border-top: <?php echo $allStyle[3] ?>px solid <?php echo $allStyle[4] ?>;
    text-align: center;
  }

  .wpm_6310_team_style_<?php echo $ids ?>::after {
    content: "";
    position: absolute;
    border-top: <?php echo $allStyle[3] ?>px solid <?php echo $allStyle[7] ?>;
    width: <?php echo $allStyle[3] ?>px;
    top: -<?php echo $allStyle[3] ?>px;
    left: 50%;
    right: 50%;
    transition: .8s;
  }

  .wpm_6310_team_style_<?php echo $ids ?>::before {
    content: "";
    position: absolute;
    border-top: <?php echo $allStyle[3] ?>px solid <?php echo $allStyle[7] ?>;
    width: <?php echo $allStyle[3] ?>px;
    top: -<?php echo $allStyle[3] ?>px;
    right: 50%;
    transition: .8s;
  }

  .wpm_6310_team_style_<?php echo $ids ?>:hover::after,
  .wpm_6310_team_style_<?php echo $ids ?>:hover::before {
    width: 100%
  }

  .wpm_6310_team_style_<?php echo $ids ?>_img {
    overflow: hidden; 
    width: <?php echo $allStyle[2] ?>px;
    display: flex;
    justify-content: center;
    height: <?php echo $allStyle[2] ?>px;
    margin-top: -<?php echo round($allStyle[2]/2) ?>px ;
    border-radius: <?php echo $allStyle[8] ?>%;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_img img {
    float: left;
    z-index: 1;
    display: block;
    width: auto !important; 
    max-width: none !important; 
  }

  .wpm_6310_team_style_<?php echo $ids ?>_wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_title {
    font-size: <?php echo $allStyle[11] ?>px;
    font-weight: <?php echo $allStyle[15] ?>;
    text-transform: <?php echo $allStyle[16] ?>;
    color: <?php echo $allStyle[12] ?>;
    margin-top: <?php echo (isset($allStyle[40]) && $allStyle[40] !== '') ? $allStyle[40] : 0; ?>px;
    margin-bottom: <?php echo (isset($allStyle[41]) && $allStyle[41] !== '') ? $allStyle[41] : 0; ?>px;
    line-height: <?php echo $allStyle[18] ?>px;
    font-family: <?php echo $allStyle[17] ?>;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_designation {
    display: block;
    font-size: <?php echo $allStyle[19] ?>px;
    font-weight: <?php echo $allStyle[21] ?>;
    color: <?php echo $allStyle[20] ?>;
    text-transform: <?php echo $allStyle[22] ?>;
    font-family: <?php echo $allStyle[23] ?>;
    line-height: <?php echo $allStyle[24] ?>px;
    margin-top: <?php echo $allStyle[42] ?>px;
    margin-bottom: <?php echo $allStyle[43] ?>px;
    transition: .5s;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_social {
    display: <?php echo (!isset($allStyle[33]) || (isset($allStyle[33]) && $allStyle[33])) ? 'flex':'none'?>;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    float: left;
    margin: <?php echo (isset($allSlider[61]) && $allSlider[61] !== '') ? $allSlider[61]:5;?>px 0 <?php echo (isset($allSlider[62]) && $allSlider[62] !== '') ? $allSlider[62]:10;?>px !important;
  }

  ul.wpm_6310_team_style_<?php echo $ids ?>_social li {
    margin: 0 8px 8px 0 !important;
  }

  ul.wpm_6310_team_style_<?php echo $ids ?>_social li:last-child {
    margin-right: 0 !important;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_social a {
      display: flex !important;
      justify-content: center;
      align-items: center;
      font-size: <?php echo (ceil(($allStyle[26] + $allStyle[27]) / 4) - 2) ?>px; 
      margin-right: 5px;
      text-decoration: none;   
      transition: all 0.3s ease-out 0s;
      border-radius:  <?php echo $allStyle[30] ?>px;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_description {
    float: left;
    width: 100%;
    font-size: 13px;
    line-height: 22px;
    font-family: 'Amaranth';
    color: #525252;
  }

  .wpm_6310_team_style_<?php echo $ids ?>_icon_wrapper {
    display: flex;
    justify-content: center;
    width: 100%;
    float: left;
    margin-bottom: 10px;
  }

  /* contact section */
  .wpm_6310_team_style_<?php echo $ids ?>_caption {
    float: left;
    width: 100%;
    margin-top: 10px;
  }

  .wpm-custom-fields-list-33 {
    display: flex;
    justify-content: center;
    margin-bottom: 5px;
  }

  .wpm-custom-fields-list-label-33 {
    margin-right: 5px;
  }

  .wpm-custom-fields-list-content-33 {
    color: #000;
    font-family: 'Amaranth';
    font-size: 14px;
  }

  .wpm_6310_team_style_<?php echo $ids ?>:hover .wpm-custom-fields-list-content-33 {
    color: #c0392b !important;
  }

  /* hover */
  .wpm_6310_team_style_<?php echo $ids ?>:hover .wpm_6310_team_style_<?php echo $ids ?>_title {
    color: <?php echo $allStyle[13] ?>;
  }

  .wpm_6310_team_style_<?php echo $ids ?>:hover .wpm_6310_team_style_<?php echo $ids ?>_designation {
    letter-spacing: 3px;
    color: <?php echo $allStyle[25] ?>;
  }

  .wpm_6310_team_style_<?php echo $ids ?>:hover {
    background: <?php echo $allStyle[34] ?>;
  }

  @media only screen and (max-width: 990px) {
    .wpm_6310_team_style_<?php echo $ids ?> {
      margin-bottom: 30px;
    }
  }
  .wpm-6310-item<?php echo $ids ?>{
      overflow: hidden;
  } 
</style>
<?php
include wpm_6310_plugin_url . "output/common-output-file.php";
wpm6310_common_output_css($ids);
?>